> ## Documentation Index
> Fetch the complete documentation index at: https://docs.animusai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Auto-generate face dataset



## OpenAPI

````yaml api-reference/openapi.json post /characters/{character_id}/auto-generate-face-images
openapi: 3.1.0
info:
  version: 2.0.0
  title: Animus API
  description: >-
    Animus' API provides you with a variety of AI-driven capabilities. From
    generating text with our advanced large language models to creating
    customized content schedules, our API's applications are vast and versatile.

    Whether it's facilitating seamless conversation through predictive response
    or simulating a comprehensive content calendar, our advanced functionalities
    can cater to an array of feature requirements.
servers:
  - url: https://api.animusai.co/v2
security: []
paths:
  /characters/{character_id}/auto-generate-face-images:
    post:
      tags:
        - Character
      summary: Auto-generate face dataset
      operationId: autoGenerateFaceImages
      parameters:
        - name: character_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AutoFaceGenerationRequest'
      responses:
        '200':
          description: Auto-generation scheduled.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AutoFaceGenerationResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    AutoFaceGenerationRequest:
      type: object
      required:
        - source_image_url
      properties:
        source_image_url:
          type: string
          format: uri
        prompts:
          type: array
          items:
            type: string
    AutoFaceGenerationResponse:
      type: object
      properties:
        job_id:
          type: string
        character_id:
          type: string
        status:
          type: string
        message:
          type: string
        total_images:
          type: integer
        estimated_time:
          type: integer
        credits_deducted:
          type: number
        remaining_balance:
          type: number
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````